# Interface methods for submodule: PolyLineParametricPath
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ParametricPathProxy as _ParametricPathProxy


# Interface methods for class: PolyLineParametricPath
class PolyLineParametricPathProxy(_ParametricPathProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Evaluate(self, input: float):
		""""""
		...

	def AddVertex(self, vertex) -> None:
		""""""
		...

	def EndOfInput(self) -> float:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetModifiableVertexList(self):
		""""""
		...

	def GetVertexList(self):
		""""""
		...

	def IncrementInput(self, input: float) -> Sequence[int]:
		""""""
		...

	def EvaluateDerivative(self, input: float) -> Sequence[float]:
		""""""
		...

